package com.th.demo.mapping.maint;

import com.th.demo.model.maint.Ware;

import java.util.List;

public interface WareMapper {
    int deleteByPrimaryKey(String id);

    int insert(Ware record);

    int insertSelective(Ware record);

    Ware selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(Ware record);

    int updateByPrimaryKey(Ware record);

    List<Ware> select(String query, String belongId);

    List<Ware> selectAll(String belongId);


    List<Ware> selectByUserId(String userId,String belongId);
    Ware selectByWareName(String wareName, String userId, String belongId);

    Ware selectByWareId(String wareId, String userId, String belongId);
    List<Ware> selectWare(String userId, String belongId);
}